code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
let "a += 3"
echo $a
| cxsjabc/basic | bash/_basic/let.sh | Shell | agpl-3.0 | 34 |
source common.sh
clearStore
clearProfiles
set -x
# Query installed: should be empty.
test "$(nix-env -p $profiles/test -q '*' | wc -l)" -eq 0
export HOME=$TEST_ROOT/home
mkdir -p $HOME
nix-env --switch-profile $profiles/test
# Query available: should contain several.
test "$(nix-env -f ./user-envs.nix -qa '*' | wc... | Mathnerd314/nix | tests/user-envs.sh | Shell | lgpl-2.1 | 5,105 |
#!/bin/bash
set -e
set +h
. /etc/alps/alps.conf
. /var/lib/alps/functions
NAME="network-manager-vpnc"
VERSION="0.9.10.0"
#REQ:vpnc
URL=http://archive.ubuntu.com/ubuntu/pool/universe/n/network-manager-vpnc/network-manager-vpnc_0.9.10.0.orig.tar.xz
cd $SOURCE_DIR
wget -nc $URL
TARBALL=`echo $URL | rev | cut -d/ -f... | FluidIdeas/parsers | blfs-resources/extrascripts/network-manager-vpnc.sh | Shell | lgpl-2.1 | 629 |
#!/bin/sh
## Setup fleet
FLEET_CONF_TEMPLATE="/opt/data/vagrant/fleet.conf.core"
IP=`/opt/data/tools/resolve-ip.sh`
sed -e "s/##IP##/$IP/g" $FLEET_CONF_TEMPLATE > /media/state/etc/fleet.conf
## Setup etcd
mkdir -p /media/state/overlays/var/lib/etcd-local
chown core:core /media/state/overlays/var/lib/etcd-local
cp /... | nuxeo/nuxeo.io | vagrant/setup_host.sh | Shell | lgpl-2.1 | 522 |
#!/bin/bash
#
# Copyright (C) 2019 Matthias Clasen
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This lib... | flatpak/flatpak | tests/test-config.sh | Shell | lgpl-2.1 | 1,590 |
#!/bin/bash -
#===============================================================================
#
# FILE: .travis-ci.sh
#
# USAGE: ./.travis-ci.sh
#
# DESCRIPTION: Generate the ml file and compile
#
#
# CREATED: 2017
# REVISION: 1.0
#=================================================... | krzischp/ocaml-cordova-plugin-intent | .travis-ci.sh | Shell | lgpl-3.0 | 972 |
#!/bin/sh
. /opt/pyrame/ports.sh
if test $# -lt 1
then
echo "usage $0 conf_string"
exit 1
fi
chkpyr2.py localhost $HA_HMP4030_PORT init_ha_hmp4030 $@
| sbinet-staging/pyrame | ps/cmd_ha_hmp4030/init.sh | Shell | lgpl-3.0 | 154 |
#!/bin/bash
#export PKG_CONFIG_PATH=..
rm -rf build
mkdir build
pushd build
cmake ..
make VERBOSE=1
popd
build/casadi_demo
| casadi/casadi | docs/examples/cplusplus/cmake_pkgconfig/run.sh | Shell | lgpl-3.0 | 126 |
#!/bin/bash
ACLOCAL=aclocal
AUTOCONF=autoconf
AUTOMAKE=automake
AUTORECONF=autoreconf
if [ "$(uname -s)" = "Darwin" ]; then
LIBTOOL=glibtool
LIBTOOLIZE=glibtoolize
else
LIBTOOL=libtool
LIBTOOLIZE=libtoolize
fi
mkdir -p aclocal.d
mkdir -p config.aux
$ACLOCAL
$LIBTOOLIZE
$AUTOMAKE --add-missing
$AU... | andydude/harcurl | autogen.sh | Shell | lgpl-3.0 | 329 |
#!/bin/bash
cd "$(dirname "$0")"
../map-creator.sh europe/great-britain/england ram
../map-creator.sh europe/great-britain/scotland ram
../map-creator.sh europe/great-britain/wales ram
| mapsforge/mapsforge-creator | v3/europe-great-britain.sh | Shell | lgpl-3.0 | 187 |
#!/bin/bash
set -e
_common_pp="-D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC"
_c_pp="-std=c99"
_cxx_pp="-std=c++11"
_optimize="-O2 -g3"
mkdir -p m4
autoreconf -if
./configure CPPFLAGS="${CPPFLAGS} ${_common_pp} ${_optimize}" CFLAGS="${CFLAGS} ${_c_pp}" CXXFLAGS="${CXXFLAGS} ${_cxx_pp}" LDFLAGS="${LDFLAGS} ${_optimize}... | lhmouse/poseidon-medusa | reconfig_optimized_debug_cxx11.sh | Shell | lgpl-3.0 | 383 |
#!/bin/bash
# add 2016-11-22 by Pascal Withopf, released under ASL 2.0
. $srcdir/diag.sh init
. $srcdir/diag.sh generate-conf
. $srcdir/diag.sh add-conf '
module(load="../plugins/imtcp/.libs/imtcp")
input(type="imtcp" port="13514" ruleset="customparser")
parser(name="custom.rfc3164" type="pmrfc3164" remove.msgFirstSpac... | shane-lawrence/rsyslog | tests/pmrfc3164-msgFirstSpace.sh | Shell | lgpl-3.0 | 1,208 |
#!/usr/bin/env sh
echo '' > test_output.txt
## test validation
echo "Testing dbcAmplicons validate, these should fail"
python ../bin/dbcAmplicons validate -B barcodeLookupTable.txt -P primerLookupTable-bd.txt -S sampleLookupTable-bd.txt >> test_output.txt
python ../bin/dbcAmplicons validate -B barcodeLookupTable.txt -... | msettles/dbcAmplicons | tests/test_dbcAmplicons_for_local_build.sh | Shell | lgpl-3.0 | 3,086 |
echo connect / as sysdba
echo @t1.sql $1
echo
| DarthMaulware/EquationGroupLeaks | Leak #4 - Don't Forget Your Base/EQGRP-Auction-File/Linux/etc/oracle/mkt0sql.sh | Shell | unlicense | 46 |
#!/bin/bash
#param1 hostname
#param2 ssh user
#param3 ssh pass
#param4 torrentfile name
sshpass -p "$3" scp -o StrictHostKeyChecking=no ~/Torrents/$4 $2@$1:~/Torrents
echo "Copied $4 to $1:~/Torrents" | cvswarrior/vmdistribution | hu.bme.mit.vmdistribution.app/scrpits/copy_torrent_from_seeder_to_leecher.sh | Shell | unlicense | 202 |
#!/bin/bash
#
# This is free and unencumbered software released into the public domain.
#
# Anyone is free to copy, modify, publish, use, compile, sell, or
# distribute this software, either in source code form or as a compiled
# binary, for any purpose, commercial or non-commercial, and by any
# means.
#
# In jurisdic... | andreas-schluens-asdev/asdk | sdt/src/main/resources/net/as_development/asdk/sdt/res/lib/lib_user.sh | Shell | unlicense | 5,041 |
#!/bin/bash
#author: xuzhigui
#version: v1.0
#email: xuzhigui1991@163.com
set -e
SCRIPT=$(readlink -f $0)
SCRIPTPATH=$(dirname $SCRIPT)
#define variables
SOFTDIR='/tmp/softenv'
CURDIR=$(cd "$(dirname "$0")"; pwd)
#check if the user is root
echo -e '\E[31;31m\n====== check if the user is root ======';tput sgr0
if [ ... | xiangyu123/centos6.5_init | softinstall.sh | Shell | apache-2.0 | 13,346 |
fixk=$1
for i in 0.3 0.35 0.4 0.45
do
python ./experiment/traintestfixk.py --train "aviation" --fixk ${fixk} --neutral_threshold ${i} --trials 5 --budget 3000 --step-size 10 --bootstrap 50 --maxiter 300 > ../results/fixk-neutral/AVIATION-FIX-${fixk}-TH${i}-NEUTRAL.TXT 2> ../results/fixk-neutral/AVIATION-FIX-${f... | mramire8/active | scripts/neu_fixk.sh | Shell | apache-2.0 | 351 |
#!/bin/bash
set -x
set -e
: Set locale:
: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
sudo locale-gen UTF-8 || :
: Installing packages:
: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
sudo apt-get update -y
sudo apt-get install -y curl python-software-properties python g++ make... | shmul/mule | vagrant/setup_dev.sh | Shell | apache-2.0 | 2,627 |
#!/bin/sh
# Copyright Yahoo. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.
echo "WARNING: This binary has been renamed from vdsgetsystemstate to "
echo " vdsgetclusterstate. Currently, this script calls the other. "
echo " as a convinience. This script will be rem... | vespa-engine/vespa | vespaclient/bin/vdsgetsystemstate.sh | Shell | apache-2.0 | 356 |
#!/bin/sh
#
# Copyright (C) 2013 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by app... | yongjhih/android_tools | ndk/build/tools/deploy-host-mcld.sh | Shell | apache-2.0 | 3,593 |
docker run --name ontop_mssql_running -e 'ACCEPT_EULA=Y' -e 'SA_PASSWORD=Mssql1.0' -p 1533:1433 -d ontop/ontop-mssql | ontop/ontop-dockertests | mssql/run-mssql.sh | Shell | apache-2.0 | 116 |
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not u... | ucare-uchicago/cass-fate-system | bin/cassandra.in.sh | Shell | apache-2.0 | 6,576 |
#!/bin/bash
# REPOS=... - manually specify repos
if [ -z "$PG_PASS" ]
then
echo "$0: you need to set PG_PASS=..."
exit 1
fi
if [ -z "$1" ]
then
echo "$0: you need to provide 1st argument proect database name: gha, prometheus, cncf, allprj etc."
exit 2
fi
if [ -z "$2" ]
then
echo "$0: you need to provide 2nd a... | cncf/velocity | shells/get_git_commits_count.sh | Shell | apache-2.0 | 1,898 |
#!/bin/sh
PARAMETERS_FILE=$1
RESOURCE_GROUP=$2
default='westus2'
REGION=${3-$default}
#az group deployment create --template-file uniqueString.json --resource-group $RESOURCE_GROUP --output table
python3 deployment_ms.py parameters/${PARAMETERS_FILE}.yaml
#az group create --name $RESOURCE_GROUP --location $REGION --... | couchbase-partners/azure-resource-manager-couchbase | generator/deploy_ms.sh | Shell | apache-2.0 | 539 |
#!/bin/sh
NAME=mat.cov
lcov --quiet --base-directory . --directory . -c -o $NAME
lcov --quiet --remove $NAME "/usr*" -o $NAME
lcov --quiet --remove $NAME "/build*" -o $NAME
lcov --quiet --remove $NAME "*/ada-util/*" -o $NAME
lcov --quiet --remove $NAME "/opt*" -o $NAME
lcov --quiet --remove $NAME "*/regtests*" -o $NAME... | stcarrez/mat | mat/coverage.sh | Shell | apache-2.0 | 502 |
# ----------------------------------------------------------------------------
#
# Package : mallet
# Version : 2.0
# Source repo : https://github.com/mimno/Mallet.git
# Tested on : ubuntu_16.04
# Script License: Apache License, Version 2 or later
# Maintainer : Atul Sowani <sowania@us.ibm.com>
#
# Disclaimer: This scr... | ppc64le/build-scripts | m/mallet/mallet_ubuntu_16.04.sh | Shell | apache-2.0 | 996 |
#!/bin/bash
#########################
# #
# Configuration Options #
# #
#########################
# PHP Detections, if this fails hard code it
PHP_BIN=$( which php )
# List of cruns to execute
CRONS="findblock.php proportional_payout.php pplns_payout.php pps_payout.php blo... | ZenProductions/CommisionFaucet | cronjobs/run-payout.sh | Shell | apache-2.0 | 2,985 |
#!/bin/bash
#
# Install dependencies on Travis
#
# Inputs:
# TRAVIS_OS_NAME - "linux" or "osx"
# BUILD_STATIC - "true" or "false"
#
# Static builds use scripts to download libarchive, libconfuse, and libsodium,
# so those are only installed on shared library builds.
#
set -e
set -v
source scripts/third_party... | michaelkschmidt/fwup | scripts/ci_install_deps.sh | Shell | apache-2.0 | 2,591 |
#!/bin/sh
echo "### 开始安装 Rust 库..."
cargo install \
loc
echo "结束安装..."
| huso-io/generator-node-fullstack | generators/app/templates/tool/cargo.install.sh | Shell | apache-2.0 | 94 |
#!/bin/bash
pushd /root > /dev/null
if [ -d "ephemeral-hdfs" ]; then
echo "Ephemeral HDFS seems to be installed. Exiting."
return 0
fi
case "$HADOOP_MAJOR_VERSION" in
1)
wget http://s3.amazonaws.com/spark-related-packages/hadoop-2.7.0.tar.gz
echo "Unpacking Hadoop"
tar xvzf hadoop-2.7.0.tar.gz > /t... | madhavhugar/spark-ec2 | ephemeral-hdfs/init.sh | Shell | apache-2.0 | 1,505 |
#!/usr/bin/env bash
# so that CI script will fail when e.g. previous command succeeds:
function fail_on_success
{
exit_status=$?
if [[ "$exit_status" -eq "0" ]]; then
echo "Build failed due to last exit status being $exit_status"
exit 1
fi
}
| NifTK/NiftyNet | ci/utils.sh | Shell | apache-2.0 | 271 |
#!/usr/bin/env bash
# This is used to run an application using qemu and then check if
# the output contains 'ERROR: expr' which is output by AC_TEST on
# errors. The number of occurances of 'ERROR: expr' becomes the exit
# code. Thus if no errors then the exit code it 0. I needed to do this
# because I couldn't find a ... | winksaville/sadie | tools/qemu-system-x86_64.runner.sh | Shell | apache-2.0 | 798 |
#!/bin/bash
# Copyright 2016 - 2020 Crunchy Data Solutions, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicabl... | the1forte/crunchy-containers | bin/bench/run-benchmark.sh | Shell | apache-2.0 | 1,046 |
#!/usr/bin/env bash
set -e
go generate $(go list ./...)
| fragments/fragments | scripts/genmocks.sh | Shell | apache-2.0 | 58 |
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, ... | GoogleCloudPlatform/solution-acceleration-toolkit | build/build-binaries.sh | Shell | apache-2.0 | 850 |
#!/bin/sh
cd $(dirname $0)
cd ../app
mvn clean package
ret=$?
if [ $ret -ne 0 ]; then
exit $ret
fi
rm -rf target
./gradlew build
ret=$?
if [ $ret -ne 0 ]; then
exit $ret
fi
rm -rf build
cd ../initial
mvn clean compile
ret=$?
if [ $ret -ne 0 ]; then
exit $ret
fi
rm -rf target
./gradlew compileJava
ret=$?
if ... | allemaos/template-microservices-app | test/run.sh | Shell | apache-2.0 | 375 |
# ----------------------------------------------------------------------------
#
# Package : reflections
# Version : 0.9.11
# Source repo : https://github.com/ronmamo/reflections
# Tested on : rhel_7.3
# Script License: Apache License, Version 2 or later
# Maintainer : Atul Sowani <sowania@us.ibm.com>
#
# Disclaimer: T... | ppc64le/build-scripts | r/reflections/reflections_rhel_7.3.sh | Shell | apache-2.0 | 1,355 |
#!/bin/bash
#
# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | spxtr/bazel | src/test/shell/bazel/apple/bazel_apple_test.sh | Shell | apache-2.0 | 9,120 |
#
# Bash script to clean old reports
#
# - Cleans reports older than 1 hour in all subdirs of current dir
# - It can be schedules as a crontab job:
# $ crontab -e
# Add: 0 * * * * /home/ersin/Library/coreos-vagrant/clean_cron.sh
# for hourly activation
#
D=`ls -d www/data/*/uptime*`
for f in $D; do find $f -type f -... | ersinesen/primon | utils/cleaner_cron.sh | Shell | apache-2.0 | 864 |
#!/bin/bash
#
# Script by Aiman Amir
# Telegram : @NamiaKai
# ==================================================
#
# install sertifikat
apt-get install ca-certificates
# initialisasi var
export DEBIAN_FRONTEND=noninteractive
OS=`uname -m`;
MYIP=$(wget -qO- ipv4.icanhazip.com);
MYIP2="s/xxxxxxxxx/$MYIP/g";
#regenera... | blazevpn/autoscript | debian7.sh | Shell | apache-2.0 | 8,097 |
#!/bin/sh
nohup node http-server.js >/dev/null 2>&1 &
| saxman/maps-js-icoads | http-server.sh | Shell | apache-2.0 | 56 |
#!/bin/bash
#文件名称:~/bin/apkpackage
#实现功能:在Linux下查看apk文件的程序包名(而不需要解压);
currentpath=${PWD}
echo "${currentpath}"
find ${currentpath} -type f -name "*.apk" |xargs -i aapt dump xmltree {} AndroidManifest.xml | sed -n "/package=/p" |awk -F'"' '{print $2}'
exit 0
| kuangzt/Practice4Shell | examinepackagename.sh | Shell | apache-2.0 | 314 |
#! /bin/bash
cd `dirname $0`
CURRPWD=`pwd`
CONFIG_FILE=configs/create_deb.conf
if [[ -f $CONFIG_FILE ]]; then
. $CONFIG_FILE
else
exit 1
fi
echo -e "\e[92m"
read -p "Do you want to increment the adtn version (${RELEPLAT})? (y/N)" releplat
releplat=${releplat,,} #var to lower case
if [[ $releplat =~ (yes|y)$... | SeNDA-UAB/aDTN-platform | make_debs/create_debs.sh | Shell | apache-2.0 | 2,436 |
rm -rf ../bin
mkdir ../bin
cd ../bin
groovyc ../src/*.groovy
cd ../src
| peidevs/OpenDataBookClub | tools/PDF_Thresher/src/build.sh | Shell | apache-2.0 | 74 |
#cd .
tar -zcf bin.tgz ./bin ./sbin ./diary ./.bashrc ./.emacs # ../.bash_profile
| bayvictor/distributed-polling-system | bin/bintar.sh | Shell | apache-2.0 | 83 |
#!/bin/bash
# inputs file
INPUTS_TSV=$1
GATK_GOOGLE_DIR="dfci-cccb-pipeline-testing"
while read line; do
cp VariantCalling.cloud.inputs.template.json VariantCalling.cloud.inputs.json
INPUT=$(echo $line | awk '{ print $1 }')
SAMPLENAME=$(echo $line | awk '{ print $2 }')
sed -i "s#BAM_INJECTION#${INPUT}#... | dkdeconti/DFCI-CCCB-GATK-Cloud-pipeline | archive/GATK_Cloud_single_sample_pipeline/VariantCalling/VariantCalling.batch_submit.sh | Shell | bsd-2-clause | 992 |
#/bin/bash
# php扩展全家桶. ( 不建议使用了, 说明如下 )
# @farwish.com BSD-License
#
# 根据需要用 pecl 安装所需常用扩展.
# Example:
#
# /usr/lcoal/php7.0.14/bin/pecl install redis-3.0.0
# /usr/lcoal/php7.0.14/bin/pecl install yar-2.0.1
# /usr/lcoal/php7.0.14/bin/pecl install swoole-1.9.1
#
php_path=/usr/local/php5.6.25/
cur_dir=`pwd`
yum install... | farwish/delicateShell | lnmp/installPhpExt.sh | Shell | bsd-2-clause | 929 |
#!/bin/sh
## Unreal Engine 4 Mono setup script
## Copyright 1998-2015 Epic Games, Inc. All Rights Reserved.
## This script is expecting to exist in the UE4/Engine/Build/BatchFiles directory. It will not work correctly
## if you copy it to a different location and run it.
echo
echo Running Mono...
echo
source "`dir... | PopCap/GameIdea | Engine/Build/BatchFiles/Mac/RunMono.sh | Shell | bsd-2-clause | 714 |
prependSearchPath() {
NIX_CFLAGS_COMPILE="-F@out@/Developer/SDKs/System/Library/Frameworks -I@out@/Developer/SDKs/@name@/usr/include ${NIX_CFLAGS_COMPILE}"
}
preConfigureHooks+=(prependSearchPath)
| ajnsit/reflex-platform | setup-hook.sh | Shell | bsd-3-clause | 200 |
#!/bin/sh
#
# $KAME: mip6seccontrol.sh,v 1.1 2004/12/09 02:18:43 t-momose Exp $
cat=/bin/cat
setkey=${setkey_program:-/usr/local/v6/sbin/setkey}
show_usage() {
${cat} <<EOF
Usage: ${0} {-m|-g} commands node_dir
The default config directory is ${ipv6_mobile_config_dir}.
This value can be changed by modifing ipv6_m... | MarginC/kame | kame/kame/shisad/mip6seccontrol.sh | Shell | bsd-3-clause | 2,751 |
#
# unzip armitage.tgz in this directory first.
#
rm -rf dist
mkdir dist
cp -r Armitage.app dist
cp armitage/armitage.jar dist/Armitage.app/Contents/Java
cp armitage/*.txt dist/
cp *.rtf dist/
rm -rf armitage
mv dist Armitage
hdiutil create -ov -volname Armitage -srcfolder ./Armitage armitage.dmg
rm -rf armitage
| rsmudge/armitage | dist/mac/build.sh | Shell | bsd-3-clause | 315 |
# could also use rdmd like this:
# rdmd --build-only -version=reggaelib -version=minimal -ofbin/reggae -Isrc -Ipayload -Jpayload/reggae reggaefile.d -b binary .
# This script doesn't just so it doesn't have to depend on rdmd being available
dmd -version=minimal -ofbin/reggae -Isrc -Ipayload -Jpayload/reggae src/reggae... | yshui/reggae | minimal_bootstrap.sh | Shell | bsd-3-clause | 469 |
if [ ! -e ../.database-username -a ! -e ../.database-password ]
then
echo ERROR: Missing ../.database-username and/or ../.database-password files
exit 1
fi
mysql --silent opentaal -u `cat ../.database-username` -p`cat ../.database-password` -D opentaal -v -e "SELECT next_version,word FROM words_list WHERE word LIKE '... | OpenTaal/database-tools | woorden-met-streepje.sh | Shell | bsd-3-clause | 595 |
#!/bin/sh
print_usage () {
echo "Usage:"
echo " $0 Clean up prior test, build, and test."
echo " $0 -c Clean up prior test only."
}
if [ "$1" != "" ] && [ "$1" != "-c" ]; then
print_usage; exit 1
fi
clean () {
rm test/cache/layers/absolute-json.json
rm test/cache/layers/csv.csv
rm test/cache... | mapbox/millstone | build.sh | Shell | bsd-3-clause | 1,112 |
while read line || [ -n "$line" ]; do
b=-1
c=1
for a in $line; do
if [ $a -eq $b ]; then
((c++))
else
if [ $b -ge 0 ]; then
printf "%d %d " $c $b
c=1
fi
b=$a
fi
done
printf "%d %d\n" $c $b
done < ... | nikai3d/ce-challenges | easy/compressed_sequence.bash | Shell | bsd-3-clause | 323 |
#!/bin/bash
#=== Building and Installing Exodus Using zypper ===
#you can view/run the latest version of this script directly
# wget -O - -q http://exodusdb.googlecode.com/svn/trunk/buildinstall_zyp.sh | less
# wget -O - -q http://exodusdb.googlecode.com/svn/trunk/buildinstall_zyp.sh | bash
#or
# curl http://exodusdb.... | rdmenezes/exodusdb | buildinstall_zyp.sh | Shell | mit | 2,528 |
javac -sourcepath src -d src/net/gadgetfactory/papilio/loader src/net/gadgetfactory/papilio/loader/PapilioLoader.java
jar cfm0 papilio-loader.jar PapilioLoader.mf -C src/net/gadgetfactory/papilio/loader/ .
#java -jar papilio-loader.jar
| chcbaram/FPGA | zap-2.3.0-windows/papilio-zap-ide/tools/Papilio_Loader/build.sh | Shell | mit | 236 |
#!/bin/bash
# Script Name: AtoMiC Ubooquity Reverse Proxy Enable.
if sed -i "/reverseProxyPrefix/c\\ \"reverseProxyPrefix\" : \"ubooquity\"," "$APPSETTINGS"; then
echo "Updated reverseProxyPrefix in $APPSETTINGS"
fi
| TommyE123/AtoMiC-ToolKit | ubooquity/ubooquity-reverse-proxy-enable.sh | Shell | mit | 222 |
if [ "$#" -ne 3 ]; then
echo "Illegal number of parameters";
echo "Name ID TimeStamp";
exit 0;
fi;
STRING=$1'\n\n'$2'\n\n'$3
echo $STRING | lpr -P LabelWriter-450-Turbo -o protrait -o PageSize=w57h32 -o page-left=25 -o page-right=25 -o page-top=25 -o page-bottom=25 | henryYHC/STS-Integrated-System | app/scripts/printLabel.sh | Shell | mit | 279 |
# Looping and Skipping
# display only odd natural numbers from 1 to 99
#!/bin/bash
for i in {1..100..2}
do
echo $i
done
| anishacharya/Shell-Scripting | looping_fundamentals.sh | Shell | mit | 172 |
#!/bin/bash
###
### Wrapper script to start/stop SMQ Server and Worker daemons
###
### @author Knut Kohl <github@knutkohl.de>
### @copyright 2012-2015 Knut Kohl
### @license MIT License (MIT) http://opensource.org/licenses/MIT
### @version 1.0.0
###
#set -x
pwd=$(dirname $(readlink -f $0))
#pwd=$(cd $(dirn... | pafei/PVLng | tools/QueueServer/QueueServer-dbg.sh | Shell | mit | 749 |
#!/usr/bin/env bash
for f in ../../_examples/*; do
if [ -d "$f" ]; then
# Will not run if no directories are available
go mod init
go get -u github.com/kataras/iris/v12@master
go mod download
go run .
fi
done
# git update-index --chmod=+x ./.github/scripts/setup_example... | kataras/gapi | .github/scripts/setup_examples_test.bash | Shell | mit | 331 |
#! /bin/bash
source ${PWD}/env_setup
curdir=${PWD}
sudo
clear
echo
echo "*** FORMAT SDCARD ********************************** TCP120706 ***"
echo
echo BE SURE SDCARD IS REMOVED
echo -n and press enter or Ctrl-C to skip" ? "
read
clear
echo
echo "*** FORMAT SDCARD ********************************** TCP120706 ***"
e... | Larsjep/monoev3image | format_sdcard.sh | Shell | mit | 2,639 |
#!/bin/bash
python ../../tools/process_xml2.py -x xmls/res.xml --src_data data --dest_data data/ext --compress pvrtc
python ../../tools/process_xml2.py -x demo/res_ui.xml --src_data data --dest_data data/ext --compress pvrtc
| unitpoint/oxygine-objectscript | examples/DemoOS/prepare_res_pvrtc.sh | Shell | mit | 225 |
cd "$(dirname "$0")"
for cmd in node narwhal ringo rhino; do
echo ""
echo "Running performance suite in $cmd..."
$cmd perf.js
done
echo ""
echo "Running performance suite in a browser..."
open index.html | Ninir/lodash | perf/run-perf.sh | Shell | mit | 206 |
#!/bin/bash
file_or_directory=`awk -F", " '{print $1}' config`;
ssh_data=`awk -F", " '{print $2}' config`;
destination=`awk -F", " '{print $3}' config`;
deployit () {
if [[ $file_or_directory && $ssh_data && $destination ]]; then
# rsync -avz -e 'ssh -p 2222' $file_or_directory $ssh_data:$destination
rsync ... | marcker/scaffold | static/deploy/deployit.sh | Shell | mit | 471 |
# Less Colors for Man Pages
export LESS_TERMCAP_mb=$'\E[01;31m' # begin blinking
export LESS_TERMCAP_md=$'\E[01;38;5;74m' # begin bold
export LESS_TERMCAP_me=$'\E[0m' # end mode
export LESS_TERMCAP_se=$'\E[0m' # end standout-mode
export LESS_TERMCAP_so=$'\E[38;5;246m' # begin standout-mode... | thommahoney/pairbear | system/less.zsh | Shell | mit | 450 |
#!/bin/sh
# success
./simple-test.sh `basename $0 .sh` test1 --help
| mc-server/TCLAP | tests/test40.sh | Shell | mit | 69 |
# The output of all these installation steps is noisy. With this utility
# the progress report is nice and concise.
function install {
echo installing $1
shift
apt-get -y install "$@" >/dev/null 2>&1
}
# upgrade system
apt-get update && sudo apt-get -y upgrade
install 'development tools' make build-essent... | jgherder/rails-dev-box | bootstrap.sh | Shell | mit | 2,676 |
#
# Copyright (C) 2011 OpenWrt.org
#
. /lib/functions/system.sh
. /lib/ar71xx.sh
PART_NAME=firmware
RAMFS_COPY_DATA=/lib/ar71xx.sh
RAMFS_COPY_BIN='nandwrite'
CI_BLKSZ=65536
CI_LDADR=0x80060000
PLATFORM_DO_UPGRADE_COMBINED_SEPARATE_MTD=0
platform_find_partitions() {
local first dev size erasesize name
while read ... | 981213/openwrt | target/linux/ar71xx/base-files/lib/upgrade/platform.sh | Shell | gpl-2.0 | 15,728 |
#!/bin/bash
#set -xv
set -e
CWD=`pwd`
LIBS=$1
LND_LIBS=$2
PTHREAD_LIBS=$3
# do cleanup at first
rm -f liblst.so
ALL_OBJS=
build_obj_list() {
_objs=`$AR -t $1/$2 | grep -v SYMDEF | grep -v SORTED`
for _lib in $_objs; do
ALL_OBJS=$ALL_OBJS"$1/$_lib ";
done;
}
# lnet components libs
build_obj_list ../../lib... | pratikrupala/try | lnet/utils/genlib.sh | Shell | gpl-2.0 | 696 |
#!/bin/bash
docker run --rm --name mongod -t -i amiller/ubuntu-mongod:v1
| atm08e/keystone-docker | mongod/start.sh | Shell | gpl-2.0 | 74 |
#!/bin/sh
DATA_PARTITION=/dev/mmcblk0p2
DATA_PARTITION_FS=auto
[ -r /boot/od.conf ] && . /boot/od.conf
if [ -z "$1" ] || [ "x$1" = "xstart" ]; then
echo "Mounting data partition..."
/bin/mount -o remount,rw /media
/bin/mount -t ${DATA_PARTITION_FS} ${DATA_PARTITION} /media/data
/bin/mount -o remount,ro /media
f... | gcwnow/buildroot | board/opendingux/gcw0/target_skeleton/etc/init.d/S03mountmedia.sh | Shell | gpl-2.0 | 322 |
#!/usr/bin/env bash
# Pi-hole: A black hole for Internet advertisements
# (c) 2017 Pi-hole, LLC (https://pi-hole.net)
# Network-wide ad blocking via your own hardware.
#
# Completely uninstalls Pi-hole
#
# This file is copyright under the latest version of the EUPL.
# Please see LICENSE file for your rights under this ... | jacobsalmela/pi-hole | automated install/uninstall.sh | Shell | gpl-2.0 | 8,144 |
#!/bin/bash
#
# this should be run from the src directory which contains the subsurface
# directory; the layout should look like this:
# .../src/subsurface
#
# the script will build Subsurface and libdivecomputer (plus some other
# dependencies if requestsed) from source.
#
# it installs the libraries and subsurface in... | janmulder/subsurface | scripts/build.sh | Shell | gpl-2.0 | 20,037 |
echo
echo "setting up postfix for maia spam/virus filtering"
echo
cp /etc/postfix/main.cf /etc/postfix/main.cf-save-$$
cp /etc/postfix/master.cf /etc/postfix/master.cf-save-$$
cat master.cf-append >> /etc/postfix/master.cf
postconf -e inet_interfaces=all
postconf -e content_filter=maia:[127.0.0.1]:10024
#hostname=`... | einheit/mailguard_install_support | postfix-setup.sh | Shell | gpl-2.0 | 811 |
# (c) 2014-2015 Sam Nazarko
# email@samnazarko.co.uk
#!/bin/bash
. ../common.sh
VERSION="1.28"
pull_source "https://www.kernel.org/pub/linux/network/connman/connman-${VERSION}.tar.gz" "$(pwd)/src"
if [ $? != 0 ]; then echo -e "Error fetching connman source" && exit 1; fi
# Build in native environment
build_in_env "${... | indie1982/osmc-fixes | package/connman-osmc/build.sh | Shell | gpl-2.0 | 1,500 |
#!/bin/bash
# Use this script to recovery form your bricked abox_edge device
set -e
GETOPT=$(which getopt)
UNZIP=$(which unzip)
FLASH_CONFIG="IAP140_Trusted_lpddr3_1g_discrete_667Mhz_Brillo.blf"
SPARSE_IMAGES="system.img cache.img userdata.img teesst.img"
SPARSE_TOOL="sparse_converter"
FLASH_TOOL="swdl_linux"
LOCA... | triplekiller/algo | shell/brillo-flashall-abox_edge.sh | Shell | gpl-2.0 | 1,769 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1A/logs/w-11_1/20161107T210002+0000/00/00/averageratioevent_0_ID0000024.sh | Shell | gpl-3.0 | 1,261 |
#!/bin/bash
# Just a little script that I use to download and update the /etc/hosts file
# It started as a 5 line script but it evolved. Anyway it was fun !
# Run this script with administrative privilege
# Get the hosts.txt file
cd /etc
echo "Changing directory to /etc"
# Making sure the PWD is /etc
if [ $PWD != /... | dracgol/shell-scripts | get&install-hosts.sh | Shell | gpl-3.0 | 2,430 |
#!/bin/bash
# T&M Hansson IT AB © - 2021, https://www.hanssonit.se/
# GNU General Public License v3.0
# https://github.com/nextcloud/vm/blob/master/LICENSE
#########
IRed='\e[0;91m' # Red
IGreen='\e[0;92m' # Green
ICyan='\e[0;96m' # Cyan
Color_Off='\e[0m' # Text Reset
print_text_in_color()... | nextcloud/vm | nextcloud-startup-script.sh | Shell | gpl-3.0 | 19,310 |
service supervisor restart
while true; do sleep 10; done
| IGPla/systembuilder | templates/djangocelery/prod/docker/web/startup.sh | Shell | gpl-3.0 | 57 |
python jopy.py 北京
python jopy.py 上海
python jopy.py 杭州
python jopy.py 广州
python jopy.py 哈尔滨
python jopy.py 成都
python jopy.py 郑州
python jopy.py 深圳
python jopy.py 济南
python jopy.py 天津
| qidouhai/jobla | jopy/run.sh | Shell | gpl-3.0 | 223 |
#!/bin/bash
#
# daemontest.sh: this file is part of the elfix package
# Copyright (C) 2011, 2012 Anthony G. Basile
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either versio... | gentoo/elfix | tests/pxtpax/daemontest.sh | Shell | gpl-3.0 | 4,365 |
#!/bin/bash
# T&M Hansson IT AB © - 2021, https://www.hanssonit.se/
# Copyright © 2021 Simon Lindner (https://github.com/szaimen)
true
SCRIPT_NAME="NTFS Mount"
SCRIPT_EXPLAINER="This script automates mounting NTFS drives locally in your system."
# shellcheck source=lib.sh
source /var/scripts/fetch_lib.sh || source <(... | nextcloud/vm | not-supported/ntfs-mount.sh | Shell | gpl-3.0 | 7,796 |
#!/bin/sh
. "${TEST_SCRIPTS_DIR}/unit.sh"
define_test "missing config file"
setup
setup_ctdb_natgw <<EOF
192.168.1.21 leader
192.168.1.22
192.168.1.23
192.168.1.24
EOF
rm -f "$CTDB_NATGW_NODES"
required_result 1 <<EOF
error: CTDB_NATGW_NODES=${CTDB_NATGW_NODES} unreadable
EOF
for i in "startup" "ipreallocated" ;... | kernevil/samba | ctdb/tests/UNIT/eventscripts/11.natgw.002.sh | Shell | gpl-3.0 | 356 |
#!/usr/bin/env bash
# Script to emulate OpenShift environment for testing
set -eu
if [ -z "${TMP:-}" ]; then
TMP=$( mktemp -d )
else
mkdir -p "${TMP}"
fi
export OPENSHIFT_LOG_DIR="${TMP}/LOG/"
test -e "${OPENSHIFT_LOG_DIR}" \
|| mkdir -p "${OPENSHIFT_LOG_DIR}"
export OPENSHIFT_DATA_DIR="${TMP}/DATA/"
test ... | kauegimenes/shuffle-host | utils/run-like-in-openshift.sh | Shell | agpl-3.0 | 1,421 |
#!/bin/sh
set -e
set -u
set -o pipefail
function on_error {
echo "$(realpath -mq "${0}"):$1: error: Unexpected failure"
}
trap 'on_error $LINENO' ERR
# This protects against multiple targets copying the same framework dependency at the same time. The solution
# was originally proposed here: https://lists.samba.org... | exoplatform/exo-ios | Pods/Target Support Files/FirebaseAnalytics/FirebaseAnalytics-xcframeworks.sh | Shell | lgpl-3.0 | 3,806 |
#!/bin/bash
# 2. Speaker GMM model adaptation
echo "Train Speaker dependent GMMs"
bin/TrainTarget --config cfg/TrainTarget.cfg &> log/TrainTarget.cfg
echo " done, see log/TrainTarget.cfg for details"
# 3. Speaker model comparison
echo "Compute Likelihood"
bin/ComputeTest --config cfg/ComputeTest_GMM.cfg &> log/... | ftahmed/Mistral-Speaker-Recognition-Tutorial | scripts/04_TrainTargets.sh | Shell | apache-2.0 | 376 |
#!/bin/bash
BROKER_DIR="$(dirname "${BASH_SOURCE}")/../.."
source "${BROKER_DIR}/scripts/broker-ci/logs.sh"
source "${BROKER_DIR}/scripts/broker-ci/error.sh"
BIND_ERROR=false
PROVISION_ERROR=false
POD_PRESET_ERROR=false
VERIFY_CI_ERROR=false
UNBIND_ERROR=false
DEPROVISION_ERROR=false
DEVAPI_ERROR=false
RESOURCE_ERRO... | jmontleon/ansible-service-broker | scripts/broker-ci/local-ci.sh | Shell | apache-2.0 | 5,040 |
#!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
clear;
echo '================================================================';
echo ' [LNMP/Nginx] Amysql Host - AMH 4.2 (vpskk mod v45)';
echo ' http://Amysql.com';
echo ' http://vpskk.com';
echo '========================... | lulidong2016/kloxo | amh1.sh | Shell | apache-2.0 | 40,985 |
BootstrapSuseCommon() {
# SLE12 don't have python-virtualenv
if [ "$ASSUME_YES" = 1 ]; then
zypper_flags="-nq"
install_flags="-l"
fi
$SUDO zypper $zypper_flags in $install_flags \
python \
python-devel \
python-virtualenv \
gcc \
dialog \
augeas-lenses \
libopenssl-devel \
... | jtl999/certbot | letsencrypt-auto-source/pieces/bootstrappers/suse_common.sh | Shell | apache-2.0 | 361 |
#!/bin/bash
# Use this script to delete Eclipse related files from the cog
# Must be run from the cog directory
# This is unsupported
exclude="template qos portlets"
rm -rf .build
rm -f .project
rm -f .classpath
for module in modules/*; do
rm -rf $module/.build
rm -f $module/.project
rm -f $module/.classpath
done
| swift-lang/swift-k | cogkit/tools/cleaneclipsedata.sh | Shell | apache-2.0 | 320 |
#!/bin/bash
# Adapted from https://gist.github.com/domenic/ec8b0fc8ab45f39403dd.
set -e
# For revert branches, do nothing
if [[ "$TRAVIS_BRANCH" == revert-* ]]; then
echo -e "\e[36m\e[1mBuild triggered for reversion branch \"${TRAVIS_BRANCH}\" - doing nothing."
exit 0
fi
# For PRs, do nothing
if [ "$TRAVIS_PULL_R... | zajrik/discord.js | travis/deploy.sh | Shell | apache-2.0 | 2,527 |
#!/bin/bash
export ANT_OPTS=-Xmx512m
export DBFLUTE_HOME=../mydbflute/dbflute-1.x
export MY_PROPERTIES_PATH=build.properties
| dbflute-test/dbflute-test-lang-go | dbflute_maihamadb/_project.sh | Shell | apache-2.0 | 128 |
#!/bin/sh
#
# This source file is part of the FabSim software toolkit, which is distributed under the BSD 3-Clause license.
# Please refer to LICENSE for detailed information regarding the licensing.
#
# Legacy implementation of the Iterative Boltzmann Inversion.
in=$4 #../python
atom=$1 #../python
out=$5 #../python... | UCL-CCS/FabSim | blackbox/ibi.sh | Shell | bsd-3-clause | 688 |
rm -f main.exe main.obj
cl /c "/IC:\\Documents and Settings\\builder\\usr\\include" main.c
link /nologo /OUT:main.exe \
"/LIBPATH:C:\\Documents and Settings\\builder\\usr\\lib" \
main.obj ndarray.lib
./main.exe
| numpy/numpy-refactor | libndarray/windows/test/do.sh | Shell | bsd-3-clause | 222 |
#!/bin/sh
touch /var/log/vaban_access_log
chown vaban:vaban /var/log/vaban_access_log
| marcomoscardini/vaban | packaging/postinstall.sh | Shell | mit | 86 |
#!/bin/bash
FN="MeSH.Syn.eg.db_1.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.9/data/annotation/src/contrib/MeSH.Syn.eg.db_1.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/MeSH.Syn.eg.db_1.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-mesh.syn.eg.db/bioconductor-mesh.syn.eg.d... | mdehollander/bioconda-recipes | recipes/bioconductor-mesh.syn.eg.db/post-link.sh | Shell | mit | 1,321 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.